<template>
	<div class="card-tarife" :class="{'card-tarife_single' : single}">
		<div class="card-tarife__inner">
			<div class="card-tarife__content">			
				<div class="card-tarife__title h4">{{card.title}}</div>
				<div class="card-tarife__subtitle">{{card.subtitle}}</div>
				<div class="card-tarife__text">
					<ul class="style-list style-list_medium">
		                <li v-for="(item, index) in card.content" :key="index">{{ item.item }}</li>
		            </ul>
				</div>
			</div>
			<div class="card-tarife__footer">	
				<div class="card-tarife__footer-main">			
					<div class="prices">			
						<div class="price price_cross" v-if="card.prices.price_cross">
							{{card.prices.price_cross}}
							<span class="price__note">{{card.prices.price_cross_note}}</span>
						</div>
						<div class="price">
							{{card.prices.price}}
							<span class="price__note">{{card.prices.price_note}}</span>
						</div>
					</div>		
					<a :href="getLinkButton" :class="getClassesButton">
						{{card.btn.title}}
					</a>
				</div>
				<div class="card-tarife__footer-secondary">			
					<div class="card-tarife__places" v-if="card.places">
						{{card.places}}
					</div>
					<timer v-if="card.timer" :end_date="card.timer"></timer>	
				</div>
			</div>
			<div class="modal-content js-tingle-modal-content" :id="`tingle-modal-card-tarife${index}`" v-html="card.popup_inner" v-if="card.popup_inner"></div>
		</div>
	</div>
</template>

<script>
	import Timer from '../ui/Timer';
	export default {
		props: ['card', 'single', 'index'],
		components: {
			Timer
		},
		computed: {
			getClassesButton: function(){
				return {
					'js-tingle-modal js-tingle-modal--text' : this.card.type === 'popup',
					'card-tarife__button' : true,
					'button' : true,
					'button--dots' : true,
					'button--pink' : true,
					'button--full' : true,
				}
			},
			getLinkButton: function(){
				if (this.card.type === 'popup') {
					return `#tingle-modal-card-tarife${this.index}`;
				} else {
					return this.card.btn.url;
				}
			}
		}
	}
</script>